package com.ruoyi.yh.prodOrder.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author wjh
 * 2024/10/29
 */
@Data
public class ProdOrderVO extends ProdOrder {

    @ApiModelProperty("物料编码")
    private String materialNumber;

    @ApiModelProperty("生产车间名称")
    private String workShopName;

    @ApiModelProperty("单位名称")
    private String unitName;

    @ApiModelProperty("基本单位名称")
    private String baseUnitName;

    @ApiModelProperty("部门ID")
    private Long deptId;

}
