package com.ruoyi.yh.reportOrderProd.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * @author wjh
 * 2024/11/19
 */
@Data
public class ReportOrderProdVO extends ReportOrderProd {

    @ApiModelProperty("报表ID")
    private Long reportId;

    @ApiModelProperty("报表日期")
    private LocalDate reportDate;

    @ApiModelProperty("报表状态")
    private String reportStatus;

    @ApiModelProperty("订单编号")
    private String orderErpBillNo;

    @ApiModelProperty("订单数量")
    private BigDecimal orderErpQty;

    @ApiModelProperty("订单基础数量")
    private BigDecimal orderErpBaseUnitQty;

    @ApiModelProperty("订单未入库数量")
    private BigDecimal orderErpNoStockInQty;

    @ApiModelProperty("订单单位名称")
    private String unitName;

    @ApiModelProperty("订单基础单位名称")
    private String baseUnitName;

    @ApiModelProperty("订单基础未入库数量")
    private BigDecimal orderErpBaseNoStockInQty;

    @ApiModelProperty("订单审核中的基础产量")
    private BigDecimal verifyingBaseNum;

    @ApiModelProperty("订单已审核通过的基础产量")
    private BigDecimal verifiedBaseNum;

    @ApiModelProperty("工序倍数分子")
    private BigDecimal priceQuantityNumerator;

    @ApiModelProperty("工序倍数分母")
    private BigDecimal priceQuantityDenominator;

    @ApiModelProperty("工序单位")
    private String priceUnit;

    @ApiModelProperty("工序名称")
    private String priceName;

    @ApiModelProperty("工序单价")
    private BigDecimal pricePrice;
}
